# List all Kafka Clusters

With this endpoint, you can retrieve a list of Kafka clusters.

## Endpoint

`GET /clusters`

The `GET /clusters` endpoint retrieves a collection of Kafka clusters.

This endpoint provides essential information about each cluster, including its ID, metadata, properties, and connections. Use the response data to manage and monitor Kafka clusters within your environment effectively.

## Request

```bash
curl -X 'GET' \
  'https://kafka.de-txl.ionos.com/clusters' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $Token'
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required | Type   | Description                                                  |
| ----------------- | -------- | ------ | ------------------------------------------------------------ |
| `Accept`          | yes      | string | Set this to `application/json`.                              |
| `Authorization`   | yes      | string | Provide a header value as `Bearer` followed by your `token`. |
| {% endtab %}      |          |        |                                                              |
| {% endtabs %}     |          |        |                                                              |

## Response

**200 Successful operation**

```json
{
  "id": "ed17eb1f-ac43-5670-9e63-8be33c475449",
  "type": "collection",
  "href": "/clusters",
  "items": [
    {
      "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "type": "cluster",
      "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "brokerAddresses": [
          "192.168.1.101:9093",
          "192.168.1.102:9093",
          "192.168.1.103:9093"
        ]
      },
      "properties": {
        "name": "my-kafka-cluster",
        "version": "3.9.0",
        "size": "S",
        "connections": [
          {
            "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
            "lanId": "2",
            "brokerAddresses": [
              "192.168.1.101/24",
              "192.168.1.102/24",
              "192.168.1.103/24"
            ]
          }
        ]
      }
    }
  ]
}
```
